package ink.wgink.gateway.service.route;

import ink.wgink.gateway.pojo.ListPage;
import ink.wgink.gateway.pojo.dtos.route.RouteDTO;
import ink.wgink.gateway.pojo.result.SuccessResultList;
import ink.wgink.gateway.pojo.vos.route.RouteVO;
import ink.wgink.gateway.util.ReflectUtil;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IRouteService
 * @Description: 路由
 * @Author: wanggeng
 * @Date: 2021/4/13 6:42 下午
 * @Version: 1.0
 */
public interface IRouteService {

    /**
     * 保存
     *
     * @param routeVO
     * @throws ReflectUtil.ReflectException
     */
    void save(RouteVO routeVO) throws ReflectUtil.ReflectException;

    /**
     * 分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<RouteDTO>> listPage(ListPage page);
}
